Bug 746 - samba refuses to load .so file if debug level is too low.
samba refuses to load .so file if debug level is too low.
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.0
Other FreeBSD
: P3 normal
: none
Assigned To: Jelmer Vernooij
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-09 01:09 UTC by Edwin Groothuis
Modified: 2005-08-24 10:19 UTC (History)
0 users

See Also:


Attachments
PostgreSQL authentication backend for Samba 3.0.0 (29.06 KB, text/plain)
2003-11-25 13:10 UTC, Edwin Groothuis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Edwin Groothuis 2003-11-09 01:09:30 UTC
While implementing an postgresql backend to samba, it kept failing to load the
.so file. But, at a certain moment with the debug-level higher than 3, it
suddenly loaded it. This was for smbd, pdbedit, smbpasswd et al.

Environment:
It is the default FreeBSD port of net/samba-devel, which is the 3.0.0 release
version, on a FreeBSD 4.8 system. This port did not load the CUPS bindings and
didn't link libiconv. Each try it throw a couple of errors complaining that
US-ASCII.so couldn't be loaded.

After testing, and compiling samba with libiconv support, the loading of the .so
files succeeded without problems.

I have informed the maintainer of the FreeBSD port about this behaviour, telling
him to use libiconv by default for this port. This PR is entered for your
information.
Comment 1 Jelmer Vernooij 2003-11-09 06:21:08 UTC
Can you tell me up to what point the module loading worked? Debug output (at 
level 2) would be nice. 
Comment 2 Edwin Groothuis 2003-11-11 16:22:02 UTC
This is the debug info on level 2 (level 3 follows)

-bash-2.05b# smbd -i -d 2
smbd version 3.0.0 started.
Copyright Andrew Tridgell and the Samba Team 1992-2003
uid=0 gid=0 euid=0 egid=0
Processing section "[homes]"
Conversion from UCS-2LE to UTF-8 not supported
Error trying to resolve symbol 'init_module' in /usr/local/etc/charset/CP850.so:
Cannot open "/usr/local/etc/charset/US-ASCII.so"
Conversion from UCS-2LE to CP850 not supported
Conversion from UTF-8 to UCS-2LE not supported
Conversion from UTF-8 to ASCII not supported
Error trying to resolve symbol 'init_module' in /usr/local/etc/charset/CP850.so:
Cannot open "/usr/local/etc/charset/UTF-8.so"
Conversion from UTF-8 to CP850 not supported
Conversion from UTF-8 to UTF8 not supported
Conversion from ASCII to UTF-8 not supported
Error trying to resolve symbol 'init_module' in /usr/local/etc/charset/CP850.so:
Cannot open "/usr/local/etc/charset/US-ASCII.so"
Conversion from ASCII to CP850 not supported
Error trying to resolve symbol 'init_module' in /usr/local/etc/charset/CP850.so:
Cannot open "/usr/local/etc/charset/US-ASCII.so"
Conversion from CP850 to UCS-2LE not supported
Module '/usr/local/etc/charset/CP850.so' loaded
Conversion from CP850 to UTF-8 not supported
Conversion from UTF8 to UTF-8 not supported
added interface ip=192.168.10.33 bcast=192.168.10.255 nmask=255.255.255.0
added interface ip=192.168.1.248 bcast=192.168.1.255 nmask=255.255.255.0
convert_string_allocate: Conversion not supported.
convert_string_allocate: Conversion not supported.
file_init: Information only: requested 10000 open files, 3500 are available.
Registered MSG_REQ_POOL_USAGE
Registered MSG_REQ_DMALLOC_MARK and LOG_CHANGED
waiting for a connection
No builtin backend found, trying to load plugin
Error trying to resolve symbol 'init_module' in /usr/local/etc/pdb/pgsql.so:
Cannot open "/usr/local/etc/charset/US-ASCII.so"
No builtin nor plugin backend for pgsql found
Loading pgsql:pgsql failed!
Comment 3 Edwin Groothuis 2003-11-11 16:30:48 UTC
This is the debug info on level 3:

Script started on Wed Nov 12 10:19:55 2003
get_current_groups: user is in 8 groups: 0, 0, 2, 3, 4, 5, 20, 31
smbd version 3.0.0 started.
Copyright Andrew Tridgell and the Samba Team 1992-2003
uid=0 gid=0 euid=0 egid=0
lp_load: refreshing parameters
Initialising global parameters
params.c:pm_process() - Processing configuration file "/usr/local/etc/smb.conf"
Processing section "[global]"
Processing section "[homes]"
adding IPC service
adding IPC service
Error loading module '/usr/local/etc/charset/UTF-8.so': Cannot open
"/usr/local/etc/charset/UTF-8.so"
Conversion from UCS-2LE to UTF-8 not supported
Error loading module '/usr/local/etc/charset/US-ASCII.so': Cannot open
"/usr/local/etc/charset/US-ASCII.so"
Module '/usr/local/etc/charset/CP850.so' loaded
Error loading module '/usr/local/etc/charset/UTF-8.so': Cannot open
"/usr/local/etc/charset/UTF-8.so"
Conversion from UTF-8 to UCS-2LE not supported
Error loading module '/usr/local/etc/charset/US-ASCII.so': Cannot open
"/usr/local/etc/charset/US-ASCII.so"
Error loading module '/usr/local/etc/charset/UTF-8.so': Cannot open
"/usr/local/etc/charset/UTF-8.so"
Error loading module '/usr/local/etc/charset/US-ASCII.so': Cannot open
"/usr/local/etc/charset/US-ASCII.so"
Conversion from UTF-8 to ASCII not supported
Error loading module '/usr/local/etc/charset/UTF-8.so': Cannot open
"/usr/local/etc/charset/UTF-8.so"
Conversion from UTF-8 to CP850 not supported
Error loading module '/usr/local/etc/charset/UTF-8.so': Cannot open
"/usr/local/etc/charset/UTF-8.so"
Conversion from UTF-8 to UTF8 not supported
Error loading module '/usr/local/etc/charset/US-ASCII.so': Cannot open
"/usr/local/etc/charset/US-ASCII.so"
Error loading module '/usr/local/etc/charset/US-ASCII.so': Cannot open
"/usr/local/etc/charset/US-ASCII.so"
Error loading module '/usr/local/etc/charset/UTF-8.so': Cannot open
"/usr/local/etc/charset/UTF-8.so"
Error loading module '/usr/local/etc/charset/US-ASCII.so': Cannot open
"/usr/local/etc/charset/US-ASCII.so"
Conversion from ASCII to UTF-8 not supported
Error loading module '/usr/local/etc/charset/US-ASCII.so': Cannot open
"/usr/local/etc/charset/US-ASCII.so"
Error loading module '/usr/local/etc/charset/US-ASCII.so': Cannot open
"/usr/local/etc/charset/US-ASCII.so"
Error loading module '/usr/local/etc/charset/US-ASCII.so': Cannot open
"/usr/local/etc/charset/US-ASCII.so"
Error loading module '/usr/local/etc/charset/US-ASCII.so': Cannot open
"/usr/local/etc/charset/US-ASCII.so"
Error loading module '/usr/local/etc/charset/UTF-8.so': Cannot open
"/usr/local/etc/charset/UTF-8.so"
Conversion from CP850 to UTF-8 not supported
Error loading module '/usr/local/etc/charset/US-ASCII.so': Cannot open
"/usr/local/etc/charset/US-ASCII.so"
Error loading module '/usr/local/etc/charset/UTF-8.so': Cannot open
"/usr/local/etc/charset/UTF-8.so"
Conversion from UTF8 to UTF-8 not supported
Error loading module '/usr/local/etc/charset/US-ASCII.so': Cannot open
"/usr/local/etc/charset/US-ASCII.so"
added interface ip=192.168.10.33 bcast=192.168.10.255 nmask=255.255.255.0
added interface ip=192.168.1.248 bcast=192.168.1.255 nmask=255.255.255.0
convert_string_allocate: Conversion not supported.
convert_string_allocate: Conversion not supported.
file_init: Information only: requested 10000 open files, 3500 are available.
loaded services
Registered MSG_REQ_POOL_USAGE
Registered MSG_REQ_DMALLOC_MARK and LOG_CHANGED
waiting for a connection
No builtin backend found, trying to load plugin
Module '/usr/local/etc/pdb/pgsql.so' loaded
Connecting to database server, host: dbrelay.barnet.com.au, user: mail,
password: mail, database: mail, port: 
5432
convert_string_allocate: Conversion not supported.
convert_string_internal: Conversion not supported.
[...]
Comment 4 Jelmer Vernooij 2003-11-25 11:50:34 UTC
Can you put the source of your backend up here as an attachment - this is a 
weird issue indeed, and I suspect that the error is in the source code of the 
module somehow.
Comment 5 Edwin Groothuis 2003-11-25 13:10:03 UTC
Created attachment 271 [details]
PostgreSQL authentication backend for Samba 3.0.0
Comment 6 Jelmer Vernooij 2003-12-11 10:36:47 UTC
this has been fixed in latest CVS, will be in 3.0.1
Comment 7 Gerald (Jerry) Carter 2005-08-24 10:19:43 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.